Error after 3.4.1 upgrade - Mozilla

This is a discussion on Error after 3.4.1 upgrade - Mozilla ; Upgraded from 3.2 to 3.4.1 per the bugzilla upgrade instructions using CVS. all went smoothly, and i checksetup shows --------------------------------------------------------------------------------------------------- * This is Bugzilla 3.4.1 on perl 5.10.0 * Running on Win2003 Build 3790 (Service Pack 2) Checking perl modules... ...

+ Reply to Thread
Results 1 to 4 of 4

Thread: Error after 3.4.1 upgrade

  1. Error after 3.4.1 upgrade

    Upgraded from 3.2 to 3.4.1 per the bugzilla upgrade instructions using
    CVS. all went smoothly, and i checksetup shows
    ---------------------------------------------------------------------------------------------------

    * This is Bugzilla 3.4.1 on perl 5.10.0
    * Running on Win2003 Build 3790 (Service Pack 2)

    Checking perl modules...
    Checking for CGI.pm (v3.33) ok: found v3.34
    Checking for Digest-SHA (any) ok: found v5.45
    Checking for TimeDate (v2.21) ok: found v2.22
    Checking for DateTime (v0.28) ok: found v0.50
    Checking for DateTime-TimeZone (v0.79) ok: found v0.93
    Checking for PathTools (v0.84) ok: found v3.2501
    Checking for DBI (v1.41) ok: found v1.602
    Checking for Template-Toolkit (v2.22) ok: found v2.22
    Checking for Email-Send (v2.16) ok: found v2.192
    Checking for Email-MIME (v1.861) ok: found v1.861
    Checking for Email-MIME-Encodings (v1.313) ok: found v1.313
    Checking for Email-MIME-Modifier (v1.442) ok: found v1.442
    Checking for URI (any) ok: found v1.36

    Checking available perl DBD modules...
    Checking for DBD-Pg (v1.45) not found
    Checking for DBD-mysql (v4.00) ok: found v4.005
    Checking for DBD-Oracle (v1.19) ok: found v1.21

    The following Perl modules are optional:
    Checking for GD (v1.20) ok: found v2.39
    Checking for Chart (v1.0) ok: found v2.4.1
    Checking for Template-GD (any) ok: found v1.56
    Checking for GDTextUtil (any) ok: found v0.86
    Checking for GDGraph (any) ok: found v1.44
    Checking for XML-Twig (any) ok: found v3.32
    Checking for MIME-tools (v5.406) ok: found v5.425
    Checking for libwww-perl (any) ok: found v5.810
    Checking for PatchReader (v0.9.4) ok: found v0.9.5
    Checking for PerlMagick (any) not found
    Checking for perl-ldap (any) ok: found v0.34
    Checking for Authen-SASL (any) ok: found v2.10
    Checking for RadiusPerl (any) not found
    Checking for SOAP-Lite (any) ok: found v0.69
    Checking for HTML-Parser (v3.40) ok: found v3.56
    Checking for HTML-Scrubber (any) ok: found v0.08
    Checking for Email-MIME-Attachment-Stripper (any) not found
    Checking for Email-Reply (any) ok: found v1.202
    Checking for TheSchwartz (any) not found
    Checking for Daemon-Generic (any) not found
    Checking for mod_perl (v1.999022) ok: found v2.000004
    ************************************************** *********************
    * OPTIONAL MODULES
    *
    ************************************************** *********************
    * Certain Perl modules are not required by Bugzilla, but by
    *
    * installing the latest version you gain access to additional
    *
    * features.
    *
    *
    *
    * The optional modules you do not have installed are listed below,
    *
    * with the name of the feature they enable. Below that table are the
    *
    * commands to install each module.
    *
    ************************************************** *********************
    * MODULE NAME * ENABLES FEATURE(S)
    *
    ************************************************** *********************
    * PerlMagick * Optionally Convert BMP Attachments
    to PNGs *
    * RadiusPerl * RADIUS Authentication
    *
    * Email-MIME-Attachment-Stripper * Inbound Email
    *
    * TheSchwartz * Mail Queueing
    *
    * Daemon-Generic * Mail Queueing
    *
    ************************************************** *********************
    * Note For Windows Users
    *
    ************************************************** *********************
    * In order to install the modules listed below, you first have to run
    *
    * the following command as an Administrator:
    *
    *
    *
    * ppm repo add theory58S http://cpan.uwinnipeg.ca/PPMPackages/10xx/
    ************************************************** *********************
    COMMANDS TO INSTALL OPTIONAL MODULES:

    PerlMagick: ppm install PerlMagick
    RadiusPerl: ppm install RadiusPerl
    Email-MIME-Attachment-Stripper: ppm install Email-MIME-Attachment-
    Stripper
    TheSchwartz: ppm install TheSchwartz
    Daemon-Generic: ppm install Daemon-Generic
    ---------------------------------------------------------------------------------------------------------------------------------------


    the problem happen when we try to search a bug, it returns this error
    --------------------------------------------------------------------------------------------------
    DBD::mysql::db selectall_arrayref failed: Unknown column 'buglist' in
    'field list' [for Statement "SELECT
    id,name,description,type,custom,mailhead,sortkey,o bsolete,enter_bug,buglist,visibility_field_id,visi bility_value_id,value_field_id
    FROM fielddefs WHERE custom = ? AND obsolete = ? ORDER BY sortkey,
    name"] at Bugzilla/Object.pm line 224
    Bugzilla::Object::_do_list_select('Bugzilla::Field ', 'custom = ? AND
    obsolete = ?', 'ARRAY(0x2baee84)', undef) called at Bugzilla/Object.pm
    line 206
    Bugzilla::Object::match('Bugzilla::Field', 'HASH(0x2bae7c4)') called
    at Bugzilla/Field.pm line 246
    Bugzilla::Field::match('Bugzilla::Field', 'HASH(0x2bae7c4)') called
    at Bugzilla.pm line 463
    Bugzilla::active_custom_fields('Bugzilla') called at C:/workspace/
    bugzilla/query.cgi line 142
    main::PrefillForm('') called at C:/workspace/bugzilla/query.cgi line
    182

    ---------------------------------------------------------------------------------------------------------------------------------------




  2. Re: Error after 3.4.1 upgrade

    also getting this when clicking on 'file a bug'...

    DBD::mysql::db selectall_arrayref failed: Unknown column 'buglist' in
    'field list' [for Statement "SELECT
    id,name,description,type,custom,mailhead,sortkey,o bsolete,enter_bug,buglist,visibility_field_id,visi bility_value_id,value_field_id
    FROM fielddefs WHERE custom = ? AND obsolete = ? ORDER BY sortkey,
    name"] at Bugzilla/Object.pm line 224
    Bugzilla::Object::_do_list_select('Bugzilla::Field ', 'custom = ? AND
    obsolete = ?', 'ARRAY(0x2a7bc44)', undef) called at Bugzilla/Object.pm
    line 206
    Bugzilla::Object::match('Bugzilla::Field', 'HASH(0x2a870dc)') called
    at Bugzilla/Field.pm line 246
    Bugzilla::Field::match('Bugzilla::Field', 'HASH(0x2a870dc)') called
    at Bugzilla.pm line 463
    Bugzilla::active_custom_fields('Bugzilla') called at C:/workspace/
    bugzilla/enter_bug.cgi line 397


  3. Re: Error after 3.4.1 upgrade

    On Aug 18, 2:26*pm, Max Kanat-Alexander wrote:
    > Anthony wrote:
    > > Upgraded from 3.2 to 3.4.1 per the bugzilla upgrade instructions using
    > > CVS. *all went smoothly, and i checksetup shows

    >
    > *> [snip]
    >
    > * * * * You have to run checksetup without --check-modules.
    >
    > * * * * -Max
    > --http://www.everythingsolved.com/
    > Competent, Friendly Bugzilla and Perl Services. Everything Else, too.


    I figured it out, i was running from /bugzilla/checksetup.pl and i
    need to run checksetup from /bugzilla/Bugzilla/..\checksetup.pl

    thanks for the advice.


  4. Re: Error after 3.4.1 upgrade

    On Aug 18, 1:26*pm, Max Kanat-Alexander wrote:
    > Anthony wrote:
    > * * * * You have to run checksetup without --check-modules.
    >


    how is this done?

+ Reply to Thread